Debian Bug report logs - #631890
kfreebsd-8: FTBFS on mipsel: missing ldscript.mipsel

version graph

Package: freebsd-buildutils; Maintainer for freebsd-buildutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-buildutils is src:freebsd-buildutils.

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Tue, 28 Jun 2011 02:33:06 UTC

Severity: serious

Found in version freebsd-buildutils/8.2-3

Fixed in version freebsd-buildutils/8.2-4

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#631890; Package src:kfreebsd-8. (Tue, 28 Jun 2011 02:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 28 Jun 2011 02:33:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-8: FTBFS on mipsel: missing ldscript.mipsel
Date: Mon, 27 Jun 2011 22:31:35 -0400
Source: kfreebsd-8
Version: 8.2-3
Severity: serious
Justification: fails to build from source

kfreebsd-8 claims to support building on mipsel, but winds up failing to:

:> hack.c
gcc-4.6 -shared -EL -Wl,-EL -fno-pic -mno-abicalls -G0 -EL -march=mips32 -mabi=32 -D__mips_o32 -nostdlib hack.c -o hack.So
rm -f hack.c
make: don't know how to make ldscript.mipsel. Stop
make: *** [build-flavor-malta-stamp] Error 2
rm src-flavor-malta-stamp

Could you please take a look?

Thanks!




Bug reassigned from package 'src:kfreebsd-8' to 'freebsd-buildutils'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 02 Jul 2011 11:12:23 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kfreebsd-8/8.2-3. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 02 Jul 2011 11:12:24 GMT) Full text and rfc822 format available.

Bug Marked as found in versions freebsd-buildutils/8.2-3. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 02 Jul 2011 11:12:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#631890; Package freebsd-buildutils. (Sat, 02 Jul 2011 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 02 Jul 2011 11:33:11 GMT) Full text and rfc822 format available.

Message #16 received at 631890@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Aaron M. Ucko" <ucko@debian.org>
Cc: 631890@bugs.debian.org
Subject: kfreebsd-8 on mipsel
Date: Sat, 2 Jul 2011 13:30:59 +0200
Hi Aaron,

Please note, that although #631890 is a bug in freebsd-buildutils (which
is being fixed with 8.2-4 upload), kfreebsd-8 needs another fix to build
on mipsel.  So please don't schedule a rebuild of kfreebsd-8 8.2-3,
8.2-4 will included the necessary fix.

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sat, 02 Jul 2011 11:33:38 GMT) Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. (Sat, 02 Jul 2011 11:33:40 GMT) Full text and rfc822 format available.

Message #21 received at 631890-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 631890-close@bugs.debian.org
Subject: Bug#631890: fixed in freebsd-buildutils 8.2-4
Date: Sat, 02 Jul 2011 11:32:19 +0000
Source: freebsd-buildutils
Source-Version: 8.2-4

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_8.2-4.debian.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-4.debian.tar.gz
freebsd-buildutils_8.2-4.dsc
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-4.dsc
freebsd-buildutils_8.2-4_kfreebsd-amd64.deb
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-4_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631890@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Jul 2011 13:13:57 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source kfreebsd-amd64
Version: 8.2-4
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 631890
Changes: 
 freebsd-buildutils (8.2-4) unstable; urgency=low
 .
   * MACHINE_ARCH is now set to "mips" on mipsel.  (Closes: #631890)
Checksums-Sha1: 
 00ffb509286191e4f7a10ddf8ed19ea99e98c5ba 1374 freebsd-buildutils_8.2-4.dsc
 5f2b24d707b9855ba6c50ec76f356afaa647c9b0 29122 freebsd-buildutils_8.2-4.debian.tar.gz
 214298139741b1a5571951bd75df6bd156c253cf 496532 freebsd-buildutils_8.2-4_kfreebsd-amd64.deb
Checksums-Sha256: 
 daacdafab9191716572594d7c0244b38ef10e5a062c9f10634947b4e3509dc43 1374 freebsd-buildutils_8.2-4.dsc
 9bc3d985310276fc47498a3dcbe261acf01019b8982f85eeaa9dc076f049d024 29122 freebsd-buildutils_8.2-4.debian.tar.gz
 70ab92de152be771c88b867062552a0ff553cb94040770616928a1039397c071 496532 freebsd-buildutils_8.2-4_kfreebsd-amd64.deb
Files: 
 ade26345c79ebf78f8c9d4f5e74b3b81 1374 devel extra freebsd-buildutils_8.2-4.dsc
 fc53b48138b0c0de4012840dfe6ceda8 29122 devel extra freebsd-buildutils_8.2-4.debian.tar.gz
 3bae48500706673e7c1965d9da0c645f 496532 devel extra freebsd-buildutils_8.2-4_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk4O/dgACgkQC19io6rUCv/UOwCdE4z5nRswBAOxcKv53MZJd1wY
JUkAnAuX/Vqq0ISo+zhi+1uAA6xlBDOP
=uVSk
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#631890; Package freebsd-buildutils. (Sat, 02 Jul 2011 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 02 Jul 2011 15:03:03 GMT) Full text and rfc822 format available.

Message #26 received at 631890@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Robert Millan <rmh@debian.org>
Cc: "Aaron M. Ucko" <ucko@debian.org>, 631890@bugs.debian.org
Subject: Re: kfreebsd-8 on mipsel
Date: Sat, 02 Jul 2011 10:59:05 -0400
Robert Millan <rmh@debian.org> writes:

> Please note, that although #631890 is a bug in freebsd-buildutils (which
> is being fixed with 8.2-4 upload), kfreebsd-8 needs another fix to build
> on mipsel.  So please don't schedule a rebuild of kfreebsd-8 8.2-3,
> 8.2-4 will included the necessary fix.

Thanks for the fix and the note!  FTR, I have no more ability than you
to schedule rebuilds: I'm not an official porter or buildd maintainer,
just a fellow DD who informally helps out by keeping track of binary
packages that show up on amd64 but not i386 (or vice versa) and filing
any necessary FTBFS bugs, also looking into the remaining architectures
while I'm at it.  (In the past, KiBi often beat me to them, but he seems
to have largely moved on to other work.)

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#631890; Package freebsd-buildutils. (Sat, 02 Jul 2011 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 02 Jul 2011 15:27:03 GMT) Full text and rfc822 format available.

Message #31 received at 631890@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Aaron M. Ucko" <ucko@debian.org>, 631890@bugs.debian.org
Subject: Re: Bug#631890: kfreebsd-8 on mipsel
Date: Sat, 2 Jul 2011 17:23:36 +0200
2011/7/2 Aaron M. Ucko <ucko@debian.org>:
> Thanks for the fix and the note!  FTR, I have no more ability than you
> to schedule rebuilds: I'm not an official porter or buildd maintainer,
> just a fellow DD who informally helps out by keeping track of binary
> packages that show up on amd64 but not i386 (or vice versa) and filing
> any necessary FTBFS bugs, also looking into the remaining architectures
> while I'm at it.  (In the past, KiBi often beat me to them, but he seems
> to have largely moved on to other work.)

All is fine then :-)

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#631890; Package freebsd-buildutils. (Sat, 02 Jul 2011 16:58:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 02 Jul 2011 16:58:39 GMT) Full text and rfc822 format available.

Message #36 received at 631890@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Aaron M. Ucko" <ucko@debian.org>, 631890@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>
Subject: Re: Bug#631890: kfreebsd-8 on mipsel
Date: Sat, 2 Jul 2011 18:48:07 +0200
[Message part 1 (text/plain, inline)]
Aaron M. Ucko <ucko@debian.org> (02/07/2011):
> (In the past, KiBi often beat me to them, but he seems to have largely
> moved on to other work.)

Correct, I'm no longer a buildd maintainer.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Aug 2011 07:38:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:18:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.